Page MenuHomePhabricator

[AMDGPU] Match signed dot4/8 pattern.
ClosedPublic

Authored by FarhanaAleen on Sep 25 2018, 2:47 PM.

Details

Diff Detail

Repository
rL LLVM

Event Timeline

FarhanaAleen created this revision.Sep 25 2018, 2:47 PM
jsji removed a subscriber: jsji.Sep 28 2018, 9:22 AM

Can the tests be reduced/made more flexible? E.g., the tests previously used FileCheck variables ( [[FF:s[0-9]+]] .

Can the tests be reduced/made more flexible? E.g., the tests previously used FileCheck variables ( [[FF:s[0-9]+]] .

Hi Mark, thanks for looking into this.

Yes, we used variables in some of the previous files. Later we came to a decision that it's better to just have the pure/untouched output of update_llc_test_checks (as you can see the later test files are written following that) due to two reasons: 1) updating reduced test-checks could be cumbersome when there is a change in the instructions 2). Writing regexes on every assembly instructions for four different architectures is very time consuming since this is no automated way of doing it.

This revision is now accepted and ready to land.Oct 3 2018, 10:05 AM
Closed by commit rL343798: [AMDGPU] Match signed dot4/8 pattern. (authored by faaleen, committed by ). · Explain WhyOct 4 2018, 9:59 AM
This revision was automatically updated to reflect the committed changes.